ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHCi.BinaryArray

Description

Efficient serialisation for GHCi Instruction arrays

Author: Ben Gamari

Synopsis

- putArray :: Binary i => UArray i a -> Put
- getArray :: (Binary i, Ix i, MArray IOUArray a IO) => Get (UArray i a)

# Documentation

putArray :: Binary i => UArray i a -> Put #

An efficient serialiser of `UArray`.

getArray :: (Binary i, Ix i, MArray IOUArray a IO) => Get (UArray i a) #

An efficient deserialiser of `UArray`.